package edu.wpi.prc.task.test;

import edu.wpi.prc.persistence.DatabaseType;
import edu.wpi.prc.persistence.HibernateController;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Runs all JUnit tests in edu.wpi.prc.task.test.
 * @author James Baldassari
 */
public class AllTaskTests {

	public static void main(String[] args) {
		HibernateController.instance().setDatabaseType(DatabaseType.HSQLDB);
		junit.textui.TestRunner.run(suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for edu.wpi.prc.task.test");
		//$JUnit-BEGIN$
		suite.addTestSuite(WorkUnitTest.class);
		suite.addTestSuite(ResultTest.class);
		suite.addTestSuite(DataTest.class);
		//$JUnit-END$
		return suite;
	}

}
