package edu.wpi.prc.user.test;

import edu.wpi.prc.persistence.DatabaseType;
import edu.wpi.prc.persistence.HibernateController;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Runs all tests in edu.wpi.prc.user.test.
 * @author James Baldassari
 */
public class AllUserTests {

	public static void main(String[] args) {
		HibernateController.instance().setDatabaseType(DatabaseType.HSQLDB);
		junit.textui.TestRunner.run(AllUserTests.suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for edu.wpi.prc.user.test");
		//$JUnit-BEGIN$
		suite.addTestSuite(VolunteerTest.class);
		//$JUnit-END$
		return suite;
	}

}
