#!/bin/sh

rm -rf client server
javac -classpath ".:lib/xmlrpc-2.0.jar:src/common:src/generator:src/science:src/validator" -d bin src/common/*.java src/generator/*.java src/science/*.java src/validator/*.java

mkdir client server
cp -R lib log client
cp -R lib log server
mkdir -p client/bin/edu/wpi/prc/example/java
mkdir -p server/bin/edu/wpi/prc/example/java
cp -R bin/edu/wpi/prc/example/java/common client/bin/edu/wpi/prc/example/java
cp -R bin/edu/wpi/prc/example/java/science client/bin/edu/wpi/prc/example/java
cp -R bin/edu/wpi/prc/example/java/common server/bin/edu/wpi/prc/example/java
cp -R bin/edu/wpi/prc/example/java/generator server/bin/edu/wpi/prc/example/java
cp -R bin/edu/wpi/prc/example/java/validator server/bin/edu/wpi/prc/example/java
cp scripts/run_sci_app.* client
cp scripts/run_work_gen.* scripts/run_validator.* server

echo "Build Complete."
