package edu.wpi.prc.server;

public class InvalidPasswordException extends Exception {
	public static final long serialVersionUID = 0;
	private String message = "InvalidPasswordException";
	
	/**
	 * Default constructor.
	 */
	public InvalidPasswordException() {
		
	}
	
	/**
	 * Constructor that takes an error message.
	 * @param message The error message to set.
	 */
	public InvalidPasswordException(String message) {
		this.message += ": " + message;
	}
	
	/**
	 * Returns a string representing this Exception.
	 * @return The error string.
	 */
	public String toString() {
		return message;
	}
}
