/**
 * 
 */
package edu.wpi.prc.server;

/**
 * @author James Baldassari
 *
 */
public class UnassignedUserException extends Exception {
	private static final long serialVersionUID = 1L;
	private String message = "UnassignedUserException";
	
	/**
	 * Default constructor.
	 */
	public UnassignedUserException() {
		
	}
	
	/**
	 * Constructor specifying an error message.
	 * @param message The error message to set.
	 */
	public UnassignedUserException(String message) {
		this.message += ": " + message;
	}
	
	/**
	 * @return Returns the error message for this Exception.
	 */
	public String toString() {
		return message;
	}
}
