package edu.wpi.prc.server.test;

import edu.wpi.prc.persistence.DatabaseType;
import edu.wpi.prc.persistence.HibernateController;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Runs all JUnit tests in edu.wpi.prc.server.test.
 * @author James Baldassari
 */
public class AllServerTests {

	public static void main(String[] args) {
		HibernateController.instance().setDatabaseType(DatabaseType.HSQLDB);
		junit.textui.TestRunner.run(AllServerTests.suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for edu.wpi.prc.server.test");
		//$JUnit-BEGIN$
		//suite.addTestSuite(PRCServerTest.class);
		suite.addTestSuite(LocalTransitionerTest.class);
		//$JUnit-END$
		return suite;
	}

}
