package edu.wpi.prc.tools.builder.gui;

/**
 * This is the base class for forms that need to invoke the database connection thread.
 * @author James Baldassari
 */
public abstract class DatabaseInitializerForm extends GUIForm {
	/**
	 * This method is called when the database connection thread has successfully completed.
	 */
	protected abstract void completeDatabaseConnection();
}
